Import an exception list
https://{kibana_url}
- POST /api/exception_lists/_import
- POST /s/{space_id}/api/exception_lists/_import
Refer to Spaces for more information.
Import an exception list and its associated items from an NDJSON file.
Query Parameters
-
overwriteboolean · default: false Determines whether existing exception lists with the same
list_idare overwritten. If any exception items have the sameitem_id, those are also overwritten.-
overwrite_exceptionsboolean · default: false -
overwrite_action_connectorsboolean · default: false -
as_new_listboolean · default: false Determines whether the list being imported will have a new
list_idgenerated. Additionalitem_id's are generated for each exception item. Both the exception list and its items are overwritten.
Responses
Successful response
-
errorsobjectrequired -
errorobjectrequired -
messagestringrequired -
status_codeintegerrequired -
idstring · min: 1 -
A string that does not contain only whitespace characters
-
item_idstring · min: 1 -
A string that does not contain only whitespace characters
-
list_idstring · min: 1 -
A string that does not contain only whitespace characters
-
successbooleanrequired -
success_countinteger · min: 0required -
success_count_exception_list_itemsinteger · min: 0required -
success_count_exception_listsinteger · min: 0required -
success_exception_list_itemsbooleanrequired -
success_exception_listsbooleanrequired
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired